Page MenuHomePhabricator

Setup wikilabels infrastructure and deployment
Closed, ResolvedPublic

Description

Puppetize wikilabels infrastructure, and setup deployment using fab.

Links:

Wikilabels code: https://github.com/wiki-ai/wikilabels
Wikilabels config and fab deployment: https://github.com/wiki-ai/wikilabels-wikimedia-config
Puppet patch: https://gerrit.wikimedia.org/r/#/c/225092/

Event Timeline

madhuvishy claimed this task.
madhuvishy raised the priority of this task from to Needs Triage.
madhuvishy updated the task description. (Show Details)
madhuvishy added a subscriber: madhuvishy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 4:29 PM
Halfak added a subscriber: Halfak.Jul 24 2015, 4:45 PM

I think the only thing left here is to have one of us (non @madhuvishy people) demonstrate that we can do a 'fab stage' and 'fab deploy'. Once that has happened, we'll be ready to mark this card done.

I just checked 'fab stage' and that worked OK with wikilabels-test.eqiad.wmflabs I see there's no deploy server, so I don't want to mark this done.

We deployed wikilabels to the new project and the proxy is now pointing to it.

Halfak closed this task as Resolved.Aug 7 2015, 4:53 PM
Halfak set Security to None.